Đến nội dung


Hình ảnh
* * * - - 17 Bình chọn

Hỏi về Lisp (thuật toán, ý tưởng, coding,...)


  • Please log in to reply
2854 replies to this topic

#2181 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 21 November 2014 - 10:24 AM

Cho em hỏi anh dùng phần mềm gì quay lại thao tác làm việc trên computer thế a Duân :(

 

 

Link: http://www.mediafire...ncl.KeyCore.rar


  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#2182 phamhuy1

phamhuy1

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 21 November 2014 - 10:29 AM

ThankS !!! :)


  • 0

#2183 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 21 November 2014 - 03:38 PM

Em có ý tưởng thế này. Trước giờ mình vẫn hay lưu tất cả các file lisp vào chung một folder nào đó. Xong sau đó appload và add contents tất cả chúng vào. Có cách nào mà add chúng vào mà chỉ cần gõ một lệnh nhờ lisp không nhỉ. Em vừa đọc trên diễn đàn thấy có bác làm được với cái menu.


  • 0

#2184 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 21 November 2014 - 11:48 PM

Hàm load :)


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#2185 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 22 November 2014 - 08:48 AM

Hàm load :)

Hi hi, đúng là cái này có nhiều trên diễn đàn rồi mà em không biết, gõ "load" một cái là ra quá trời luôn


  • 0

#2186 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 22 November 2014 - 04:54 PM

Các bác ơi cho em hỏi tên biến hệ thống của đơn vị bản vẽ ví dụ như là inch, met là gì với ạ. Và cả biến của chế độ bật tắt orthor nữa. Thanks các bác.
  • 0

#2187 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5453 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 22 November 2014 - 05:42 PM

Các bác ơi cho em hỏi tên biến hệ thống của đơn vị bản vẽ ví dụ như là inch, met là gì với ạ. Và cả biến của chế độ bật tắt orthor nữa. Thanks các bác.

Đây bạn!

INSUNITS

ORTHOMODE


  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#2188 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 22 November 2014 - 06:19 PM

Thanks bác
  • 0

#2189 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 24 November 2014 - 09:49 AM

Tuần mới chúc các bác dồi dào sức khoẻ tràn đầy niềm vui, gia đình cadviet ngày càng phát triển.

Em đang tập tành viết code, em thấy các lệnh mặc định của autocad có chế độ lựa chọn nhiều option, ví dụ như này:

Command: -layer
Current layer:  "0"
Enter an option
[?/Make/Set/New/ON/OFF/Color/Ltype/LWeight/MATerial/Plot/Freeze/Thaw/LOck/Unlock
/stAte]:

 

Để làm được như thế này thì mình dùng những hàm nào ạ. Các bác có thể gợi ý cho em được không. :D


  • 0

#2190 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5453 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 24 November 2014 - 10:01 AM

Tuần mới chúc các bác dồi dào sức khoẻ tràn đầy niềm vui, gia đình cadviet ngày càng phát triển.

Em đang tập tành viết code, em thấy các lệnh mặc định của autocad có chế độ lựa chọn nhiều option, ví dụ như này:

Command: -layer
Current layer:  "0"
Enter an option
[?/Make/Set/New/ON/OFF/Color/Ltype/LWeight/MATerial/Plot/Freeze/Thaw/LOck/Unlock
/stAte]:

 

Để làm được như thế này thì mình dùng những hàm nào ạ. Các bác có thể gợi ý cho em được không. :D

Bạn nghiên cứu 2 hàm dưới đây thì làm được:

initget

getkword


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#2191 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 24 November 2014 - 11:22 AM

Thanks bác


  • 0

#2192 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 25 November 2014 - 09:32 AM

Khi em đặt biến hệ thống angdir bằng 1 và angbase bằng Pi/2 với mục đích là đặt góc quay trong cad theo clockwise và góc bằng 0 tại trục Y trong autocad. Nhưng kết quả không như mong đợi có lẽ tại biến angbase. Các bác chỉ cho em cách giải quyết vấn đề này với ạ. Thanks các bác
  • 0

#2193 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 25 November 2014 - 09:48 AM

Thử nhập Angbase tính theo độ xem sao :)


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#2194 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 26 November 2014 - 08:56 AM

Thử nhập Angbase tính theo độ xem sao :)

hi hi, hôm qua do tẩu hỏa nhập ma nên không biết sai đâu thầy ạ. Hôm nay kiểm tra lại đúng angbase phải nhập theo radian. Ví dụ đặt (setvar "angbase" (/ pi 2)) thì cad sẽ tính góc quay bằng không bắt đầu từ trục y


  • 0

#2195 luhaivinh

luhaivinh

    Edu level: li10

  • Members
  • PipPipPip
  • 117 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 26 November 2014 - 10:48 AM

mọi người cho em hỏi phím "Delete" ,"ctrl + A"  trong lisp mình code như thế nào vậy? :)


  • 0

#2196 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 November 2014 - 10:55 AM

mọi người cho em hỏi phím "Delete" ,"ctrl + A"  trong lisp mình code như thế nào vậy? :)

 

(sssetfirst nil (ssget "A"))


  • 0

#2197 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 26 November 2014 - 11:11 AM

hi hi, hôm qua do tẩu hỏa nhập ma nên không biết sai đâu thầy ạ. Hôm nay kiểm tra lại đúng angbase phải nhập theo radian. Ví dụ đặt (setvar "angbase" (/ pi 2)) thì cad sẽ tính góc quay bằng không bắt đầu từ trục y

 

Nếu nhập trực tiếp chứ k phải setvar sẽ khác đó


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#2198 luhaivinh

luhaivinh

    Edu level: li10

  • Members
  • PipPipPip
  • 117 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 26 November 2014 - 11:17 AM

Ý của em không phải là thao tác ngoài bản vẻ.Trường hợp edit kích thước khi pick chuột vào số cần edit thì làm sao em xoá được số cũ để ghi số mới đó bác Tuệ

Em đang muốn viêt lệnh edit kích thước mọi người giúp em với. :)


  • 0

#2199 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 November 2014 - 11:25 AM

Ý của em không phải là thao tác ngoài bản vẻ.Trường hợp edit kích thước khi pick chuột vào số cần edit thì làm sao em xoá được số cũ để ghi số mới đó bác Tuệ

Em đang muốn viêt lệnh edit kích thước mọi người giúp em với. :)

Như vầy chăng :

(command ".ddedit" (car(entsel "Pick vao doi tuong can edit: ")))


  • 0

#2200 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 26 November 2014 - 11:27 AM

Hoặc là thế này có được ko ?!

Khi (entget(car(entsel))) >>> chọn dim chưa edit >>>> thu được một mớ bòng bong, trong đó (1 . "")

 

>>> để edit, bạn subst thay (1 . "NOI_DUNG_MOI") vào chổ đó


  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson